Bulk create subscribers
Using this endpoint multiple subscribers can be created at once. The bulk API is limited to 500 subscribers per request.
Using this endpoint multiple subscribers can be created at once. The bulk API is limited to 500 subscribers per request.Authorization
secretKey API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/subscribers/bulk" \ -H "Content-Type: application/json" \ -d '{ "subscribers": [ { "subscriberId": "string" } ] }'{ "data": { "updated": [ { "subscriberId": "string" } ], "created": [ { "subscriberId": "string" } ], "failed": [ { "message": "string", "subscriberId": "string" } ] }}Delete messages by transactionId DELETE
Delete multiple messages from the Notifly platform using **transactionId** of triggered event. This API supports filtering by **channel** and delete all messages associated with the **transactionId**.
Upsert provider credentials PATCH
Upsert credentials for a provider such as **slack** and **FCM**. **providerId** is required field. This API creates **deviceTokens** or appends to the existing ones.